## mmark 2.2.25+dfsg1

=== Makefile ===
VERSION:=$(shell grep 'var Version =' version.go | awk '{ print $$4} ' | tr -d '"' )
GITHUB:=mmarkdown
NAME:=mmark
LINUX_ARCH:=amd64 arm64 arm
DARWIN_ARCH:=amd64 arm64

.PHONY: mmark
mmark:
	@echo $(VERSION)
	go build

define DOCHEADER
%%%
title = "mmark"
date = "2019-04-04T19:23:50+01:00"
area = "User Commands"
workgroup = "Mmark Markdown"
%%%
endef

mmark.1: mmark.1.md
	$(file > mmark.1.docheader,$(DOCHEADER))
	( cat mmark.1.docheader ; tail +8 mmark.1.md ) | ./mmark -man > mmark.1
	rm -f mmark.1.docheader

.PHONY: clean
clean:
	rm -rf build release
	$(MAKE) -C rfc clean

.PHONY: git-commit
git-commit:
	git ci -am"Version $(VERSION)"
	git push --tags
	git push

.PHONY: build
build:
	@echo $(VERSION)
	rm -rf build && mkdir build
	for arch in $(LINUX_ARCH); do GOOS=linux GOARCH=$$arch go build -o build/linux/$$arch/mmark; done
	for arch in $(DARWIN_ARCH); do GOOS=darwin GOARCH=$$arch go build -o build/darwin/$$arch/mmark; done
	GOOS=windows GOARCH=amd64 go build -o build/windows/amd64/mmark.exe

.PHONY: tar
tar:
	rm -rf release && mkdir release
	for arch in $(LINUX_ARCH); do tar -zcf release/mmark_$(VERSION)_linux_$$arch.tgz -C build/linux/$$arch mmark; done
	for arch in $(DARWIN_ARCH); do tar -zcf release/mmark_$(VERSION)_darwin_$$arch.tgz -C build/darwin/$$arch mmark; done
	tar -zcf release/mmark_$(VERSION)_windows_amd64.tgz -C build/windows/amd64 mmark.exe

.PHONY: release
release:
	@echo Releasing: $(VERSION)
	@$(eval RELEASE:=$(shell curl -s -d '{"tag_name": "v$(VERSION)", "name": "v$(VERSION)"}'  -H "Authorization: token ${GITHUB_ACCESS_TOKEN}" "https://api.github.com/repos/$(GITHUB)/$(NAME)/releases" | grep -m 1 '"id"' | tr -cd '[[:digit:]]'))
	@echo ReleaseID: $(RELEASE)
	for asset in `ls -A release`; do \
	    curl -o /dev/null -X POST \
	      -H "Content-Type: application/gzip" \
	      -H "Authorization: token ${GITHUB_ACCESS_TOKEN}" \
	      --data-binary "@release/$$asset" \
	      "https://uploads.github.com/repos/$(GITHUB)/$(NAME)/releases/$(RELEASE)/assets?name=$${asset}" ; \
	done

.PHONY: debian
debian: mmark.1 mmark
	export MY_APP_VERSION=$(VERSION)
	nfpm -f .nfpm.yaml pkg -t mmark.deb

=== rfc/Makefile ===
MMARK :=../mmark
TXT := $(patsubst %.md,%.txt,$(wildcard *.md))
XML := $(patsubst %.md,%.xml,$(wildcard *.md))
HTML := $(patsubst %.md,%.html,$(wildcard *.md))
PDF := $(patsubst %.md,%.pdf,$(wildcard *.md))

txt: $(TXT)

%.txt: %.md
	$(MMARK) $< > $(basename $<).xml && xml2rfc --text --v3 $(basename $<).xml && rm $(basename $<).xml

html: $(HTML)

%.html: %.md
	$(MMARK) $< > $(basename $<).xml && xml2rfc --html --v3 $(basename $<).xml && rm $(basename $<).xml

xml: $(XML)

%.xml: %.md
	$(MMARK) $< > $(basename $<).xml

pdf: $(PDF)

%.pdf: %.md
	$(MMARK) $< > $(basename $<).xml && xml2rfc --pdf --v3 $(basename $<).xml && rm $(basename $<).xml

.PHONY: clean
clean:
	rm -f *.txt *.xml

## mmark 2.2.25%2Bdfsg1

=== debian/control ===
Source: mmark
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-gomarkdown-markdown-dev,
               golang-github-google-go-cmp-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/mmark
Vcs-Git: https://salsa.debian.org/go-team/packages/mmark.git
Homepage: https://github.com/mmarkdown/mmark
XS-Go-Import-Path: github.com/mmarkdown/mmark

Package: mmark
Section: text
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: xml2rfc
Static-Built-Using: ${misc:Static-Built-Using}
Description: powerful markdown processor in Go geared towards the IETF (program)
 Mmark is a powerful markdown processor written in Go, geared towards
 writing IETF documents. It is, however, *also* suited for writing
 complete books and other technical documentation, like the Learning Go
 book (https://miek.nl/go), Internet-Draft text output
 (https://miek.nl/go/learninggo-2.txt)) and RFCs.
 .
 It provides an advanced markdown dialect that processes file(s) to
 produce internet-drafts in XML RFC 7991 format. Mmark can produce
 xml2rfc (aforementioned RFC 7991), HTML5 output, and manual pages.
 .
 Mmark uses gomarkdown (https://github.com/gomarkdown/markdown) which is
 a fork of blackfriday (https://github.com/russross/blackfriday/).
 .
 This package provides the /usr/bin/mmark executable binary and documentation.

Package: golang-github-mmarkdown-mmark-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-burntsushi-toml-dev,
         golang-github-gomarkdown-markdown-dev,
         golang-github-google-go-cmp-dev,
         ${misc:Depends}
Description: powerful markdown processor in Go geared towards the IETF (library)
 Mmark is a powerful markdown processor written in Go, geared towards
 writing IETF documents. It is, however, *also* suited for writing
 complete books and other technical documentation, like the Learning Go
 book (https://miek.nl/go), Internet-Draft text output
 (https://miek.nl/go/learninggo-2.txt)) and RFCs.
 .
 It provides an advanced markdown dialect that processes file(s) to
 produce internet-drafts in XML RFC 7991 format. Mmark can produce
 xml2rfc (aforementioned RFC 7991), HTML5 output, and manual pages.
 .
 Mmark uses gomarkdown (https://github.com/gomarkdown/markdown) which is
 a fork of blackfriday (https://github.com/russross/blackfriday/).
 .
 This package provides the github.com/mmarkdown/mmark Go library.

## mmark 2.2.25+dfsg1

=== debian/changelog ===
mmark (2.2.25+dfsg1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 15:32:14 +1000

mmark (2.2.25+dfsg1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 16:18:52 +1000

mmark (2.2.25+dfsg1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 10:47:56 +0530

mmark (2.2.25+dfsg1-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:57 +1200

mmark (2.2.25+dfsg1-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Fix NAME section in mmark.1 so it can be parsed correctly
    by lexgrog for query by apropos and whatis.
    See https://github.com/mmarkdown/mmark/pull/177
  * Replace Built-Using field with Static-Built-Using
  * Add "Suggests: xml2rfc" for the mmark binary package

 -- Anthony Fok <foka@debian.org>  Fri, 19 Aug 2022 08:30:02 -0600

mmark (2.2.25+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #916202)
  * Remove RFC documents for DFSG compliance

 -- Anthony Fok <foka@debian.org>  Thu, 11 Aug 2022 16:38:05 -0600

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  https://github.com/mmarkdown/mmark/tags .*/v?(\d\S*)\.tar\.gz debian
